Update SubscriptionAsk AIput https://sandbox.nmi.com/api/v5/subscriptions/{subscription_id}Update an existing subscription's billing information.Path Paramssubscription_idintegerrequiredThe subscription ID to updateBody Paramsplan_amountnumber≥ 0The plan amount to be charged each billing cycle. Format: x.xxplan_paymentsinteger0 to 999The number of payments before the recurring plan is complete. Use '0' for until canceledday_frequencyinteger≥ 1How often, in days, to charge the customer. Cannot be set with 'month_frequency' or 'day_of_month'month_frequencyinteger≥ 1How often, in months, to charge the customer. Cannot be set with 'day_frequency'. Must be set with 'day_of_month'day_of_monthinteger1 to 31The day that the customer will be charged. Cannot be set with 'day_frequency'. Must be set with 'month_frequency'paused_subscriptionbooleanIf set to true, the subscription will be pausedtruefalsepayment_detailsobjectPayment method details for credit card, ACH, or tokenized paymentsPayment Details objectbilling_addressobjectBilling address information for REST API payment transactionsBilling Address (REST API) objectshipping_addressobjectShipping address information for REST API payment transactionsShipping Address (REST API) objectorder_detailsobjectOrder details and line items for REST API payment transactionsOrder Details (REST API) objectmerchant_defined_fieldsobjectCustom fields that can be set up in merchant control panel under Settings->Merchant Defined FieldsMerchant Defined Fields objectcustomer_vaultobjectCustomer vault information for storing payment methodsCustomer Vault objectResponses 200Success 400Bad Request - Validation Error 401Unauthorized 404Subscription not foundUpdated about 2 months ago